aboutsummaryrefslogtreecommitdiffstats
path: root/vpp/build-root/scripts/remove-rpath
diff options
context:
space:
mode:
Diffstat (limited to 'vpp/build-root/scripts/remove-rpath')
-rwxr-xr-xvpp/build-root/scripts/remove-rpath24
1 files changed, 24 insertions, 0 deletions
diff --git a/vpp/build-root/scripts/remove-rpath b/vpp/build-root/scripts/remove-rpath
new file mode 100755
index 00000000..bda3d60d
--- /dev/null
+++ b/vpp/build-root/scripts/remove-rpath
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ -z $1 ]; then
+ echo "Please specify path"
+ exit 1
+fi
+
+which chrpath &> /dev/null
+
+if [ $? -ne 0 ] ; then
+ echo "Please install chrpath tool"
+ exit 1
+fi
+
+libs=$(find $1 -type f -name \*.so)
+execs=$(find $1 -type f -path \*/bin/\* )
+
+for i in $libs $execs; do
+ chrpath $i 2> /dev/null | grep -q build-root
+ if [ $? -eq 0 ] ; then
+ chrpath $i
+ fi
+done
+